/* micon.h 
 * Copyright (C) 2002 Jean-Jacques Sarton jj.sarton@t-online.de
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

extern Widget createIconLayout(Widget top, XtAppContext app, char *mainResource, char *lang, int popup);
extern void chgIcon(int val);
extern void popupIcon(int x, int y);
extern int iconAskPos(int *x, int *y);
extern void iconAddTooltip(char *text);
extern void unmapIcon(void);
/* val = 0 -> ink low level reaches
 * val = 1 -> ink level near low level
 * val = 2 -> ink level ok
 */
